[Numpy-discussion] numpy installation

joris at ster.kuleuven.ac.be joris at ster.kuleuven.ac.be
Fri Aug 18 17:07:17 CDT 2006


Hi,

I am correctly assuming that numpy needs the full lapack distribution, 
and not just the few lapack routines given by atlas? After installing 
numpy I still get the warning

ImportError:
/software/python-2.4.1/lib/python2.4/site-packages/numpy/linalg/lapack_lite.so:
undefined symbol: s_wsfe

which seems to indicate that numpy is trying to use its lapack_lite version
instead of the full lapack distribution. Defining

[lapack]
library_dirs = /software/lapack3.0/
lapack_libs = combinedlapack

in my site.cfg does not help. It also always gives a warning that my lapack
lib in my atlas directory is incomplete despite the fact that I specified 
the full lapack library. The complaint of incompleteness disappears when I
overwrite the liblapack.a of atlas with the one of the full lapack
distribution, but then I still have the ImportError when I try to import 
numpy in my python shell.

Any pointers?

Cheers,
Joris


Disclaimer: http://www.kuleuven.be/cwis/email_disclaimer.htm





More information about the Numpy-discussion mailing list